Package com.sun.jna.platform.win32

## Class WinUser.GUITHREADINFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinUser.GUITHREADINFO

- Enclosing interface:
    WinUser

      @FieldOrder({"cbSize","flags","hwndActive","hwndFocus","hwndCapture","hwndMenuOwner","hwndMoveSize","hwndCaret","rcCaret"})
      public static class WinUser.GUITHREADINFO
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `cbSize` |
    `int` | `flags` |
    `WinDef.HWND` | `hwndActive` |
    `WinDef.HWND` | `hwndCapture` |
    `WinDef.HWND` | `hwndCaret` |
    `WinDef.HWND` | `hwndFocus` |
    `WinDef.HWND` | `hwndMenuOwner` |
    `WinDef.HWND` | `hwndMoveSize` |
    `WinDef.RECT` | `rcCaret` |

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GUITHREADINFO()` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cbSize

          public int cbSize

    - #### flags

          public int flags

    - #### hwndActive

          public WinDef.HWND hwndActive

    - #### hwndFocus

          public WinDef.HWND hwndFocus

    - #### hwndCapture

          public WinDef.HWND hwndCapture

    - #### hwndMenuOwner

          public WinDef.HWND hwndMenuOwner

    - #### hwndMoveSize

          public WinDef.HWND hwndMoveSize

    - #### hwndCaret

          public WinDef.HWND hwndCaret

    - #### rcCaret

          public WinDef.RECT rcCaret

  - ### Constructor Detail

    - #### GUITHREADINFO

          public GUITHREADINFO()